import { Layout } from 'antd';
import AnnotationPanel from '../components/annotation/annotationPanel';
import DocumentAnnotationView from '../components/annotation/documentAnnotationView';
import TagPanel from '../components/annotation/tagPanel';
import 'antd/dist/antd.css';
import styles from '/styles/annotation.module.scss';
import UserNavBar from '../components/navigation/userNavBar';

const { Header, Content, Footer, Sider } = Layout;

/**
 * Creates a layout of a document annotation screen. It contains a panel with a list of tags and a panel with a list of annotations.
 * @returns Annotation layout.
 */
function AnnotationLayout() {
    return (
        <Layout>
            <Header>
                <UserNavBar />
            </Header>
            <Layout hasSider>
                <Sider className={styles.leftSidePanel}>
                    <TagPanel />
                </Sider>
                <Content className={styles.mainView}>
                    <DocumentAnnotationView />
                </Content>
                <Sider className={styles.rightSidePanel}>
                    <AnnotationPanel />
                </Sider>
            </Layout>
            <Footer></Footer>
        </Layout>
    );
}

export default AnnotationLayout;
